Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.io
Class FileSequenceInput

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
                              |
                              +--uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceInput
                                    |
                                    +--uk.ac.man.bioinf.apps.cinema.io.FileSequenceInput

All Implemented Interfaces:
  AlignmentEventProvider, CinemaActionProvider

public class FileSequenceInput
extends AbstractSequenceInput

FileSequenceInput is a that module covers sequence input into Cinema via files. It extends the abstract sequence input module which provides the basics of any sequence input method into Cinema. It is currently Cinema only the abstract sequence input module extends the Cinema GUI module. Created: Thu Jun 15 15:07:12 2000

Version:
  $Id: FileSequenceInput.java,v 1.15 2002/04/20 14:58:56 lord Exp $
Author:
  Julian Selley

Field Summary

Fields inherited from class uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceInput
`eh`

Constructor Summary
`FileSequenceInput()`

Method Summary
`String` | `getVersion()` Returns the version of this module.
`SequenceAlignment` | `openAlignment()` Obtains the sequence alignment by the relevent method.
`SequenceAlignment` | `openFile(File file, AlignmentInputParser parser, Identifier ident)` Opens a file using a parser.
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceInput
`getActions, getAvailableParsers, getExceptionHandler, getParser, getParserDescription, getRequiredIdentifiers, load, setExceptionHandler`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
`destroy, getAlignmentFrame, getFrame, getJMenuBar, getRowHeaders, getRuler, getRulerPanel, getScrollPane, getStatusBar, getViewer, setFrameTitle`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSequenceInput

    public FileSequenceInput()

Method Detail

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### openFile

    public SequenceAlignment openFile(File file,
                                      AlignmentInputParser parser,
                                      Identifier ident)
                               throws IOException

  Opens a file using a parser. This method was generated to allow file parsing without the need for the open dialog - i.e., it will make the passing of arguments to Cinema of the file name a lot easier, or even possible.

  Parameters:
    `file` - the file
    `parser` - the input parser
    `ident` - the identifier for the alignment
  Returns:
    the sequence alignment
    `IOException`

### openAlignment

    public SequenceAlignment openAlignment()

  Description copied from class: `AbstractSequenceInput`
  Obtains the sequence alignment by the relevent method.

  Specified by:
    `openAlignment` in class `AbstractSequenceInput`
  Returns:
    the sequence alignment

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD